Conditional activities FAQ

Jump to: navigation, search

Note: You are currently viewing documentation for Moodle 2.0. Up-to-date documentation for the latest stable version is available here: Conditional activities FAQ.

Will the 1.9 version of activity locking cause problems when we upgrade to 2.0?

If you are using the 1.9 AL version that uses the added course format called Activity Locking, then there should not be any upgrading issues.

You could remove the code, which means deleting things from your server and data base.

If you want remove things, do this prior to upgrading to 2.0. Of course, you will be making a backup of your site, database, and even your individual courses before upgrading to 2.0.

  1. Make a note of the conditions you have set on your activities since they will be deleted.
  2. Delete the activity locking block through moodle admin--then delete the block folder.
  3. Delete the AL course format folder.
  4. This is optional--leaving these should not break things, but it would be a good idea. Delete (e.g. via phpmyadmin) the four added columns to the course_modules table:
`delay`
`visiblewhenlocked`
`checkboxforcomplete`
`checkboxesforprereqs</nowiki>s`

Now you can change your course formats back to topics, then after upgrade, reset your conditions with the new conditional activities code.

See also